#include<iostream>
using namespace std;
long long n, m[100000], br=0, minRaz, ilokMax[100000];
int main(){
    cin>>n;
    for(int i=0; i<n; i++) cin>>m[i];
    for(int i=1; i<n-1; i++){
        if(m[i]==0){
            i=n;
        }else if(m[i]>m[i-1] && m[i]>m[i+1]){
            ilokMax[br]=i;
            br++;
        }
    }
    if(br<2) cout<<"0";
    else{
        minRaz=ilokMax[1]-ilokMax[0]-1;
        for(int i=1; i<br-1; i++){
            minRaz=min(minRaz, ilokMax[i+1]-ilokMax[i]-1);
        }
        cout<<minRaz;
    }
    return 0;
}
